@charset "utf-8";

/* font setting */
@import url('https://fonts.googleapis.com/css?family=Noto+Sans+KR:100,300,400,500,700,900&subset=korean');
@import url('https://use.fontawesome.com/releases/v5.4.1/css/all.css');

/* reset */
/* ------------------------------ */

a,
a:hover,
a:focus,
a:active {
    text-decoration: none
}

ul,
ol,
li {
    margin: 0;
    padding: 0;
    list-style: none
}

/* basic setting */
/* ------------------------------ */

html,
body {
    width: 100%;
    color: #333;
    overflow-y: auto;
    font-weight: 400;
    line-height: 1.5;
    font-size: .95rem;
    overflow-x: hidden;
    font-family: 'Noto Sans KR', sans-serif;
}

.font-family-root {
    font-family: 'Noto Sans KR', sans-serif !important
}

.color-root {
    color: #333 !important
}

.font-weight-root {
    font-weight: 400 !important
}

.line-height-root {
    line-height: 1.5 !important
}

.font-size-root {
    font-size: .95rem !important
}

@media (min-width: 992px) {

    html,
    body {
        font-size: 1rem
    }

    .font-size-root {
        font-size: 1rem !important
    }
}

a {
    color: #333;
    text-decoration: none;
}

a:hover,
a:focus,
a:active {
    color: #000;
    text-decoration: none;
}

/* color set */
/* ------------------------------ */

/* basic layout setting */
/* ------------------------------ */

.wrap-box {
    width: 100%;
    max-width: 100%;
}

.wrap-content {
    width: 100%;
    max-width: 100%;
}

.body.noScroll {
    height: 100vh;
}

.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    position: fixed;
}

.article {
    background: transparent
}

.aside {
    background: transparent
}

.footer {
    font-size: 90%;
    background: #eee;
    padding-top: .75rem;
    padding-bottom: .75rem;
}

.full-veil {
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 1000;
    display: none;
    position: fixed;
    cursor: default;
    background-color: rgba(0, 0, 0, .8);
}

#contentAreaHeight {
    margin-top: 56px;
}

/* layout option */

.admin-right-content {
    width: 100%;
}

@media (min-width: 990px) {
    .admin-right-content {
        padding-left: 320px;
    }
}

.aside-none .aside {
    display: none !important;
}

.footer.fixed {
    bottom: 0;
    width: 100%;
    position: absolute;
}

/* header */
/* ------------------------------ */

.header {
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.header.visible {
    top: 0;
}

.header.hidden {
    top: -100px;
}

.navbar-brand {
    margin-right: 0;
}

.navbar-brand .logo {
    width: auto;
    height: 30px;
}

.navbar .btn-mobile {
    margin: -.5rem -1rem;
}

.navbar .btn-mobile .fas {
    display: inline-block;
    width: 56px;
    height: 56px;
    cursor: pointer;
    font-size: 150%;
    padding-top: 16px;
    text-align: center;
    color: rgba(255, 255, 255, .25);
}

.navbar .btn-mobile .fas:hover {
    color: #fff;
}

.navbar .btn-top-back {
    background: transparent;
}

.navbar .btn-top-toggle {
    background: transparent;
}

.navbar .btn-top-toggle .fa-bars {
    display: block;
}

.navbar .btn-top-toggle .fa-times {
    display: none;
}

.navbar .btn-top-toggle.active .fa-bars {
    display: none;
}

.navbar .btn-top-toggle.active .fa-times {
    display: block;
}

.navbar .mobile-top-nav-wrap {
    width: 100%;
    display: flex;
    display: -ms-flexbox;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.navbar .top-nav-wrap {
    width: 100%;
    display: block;
    overflow-x: auto;
    flex: 1 1 auto !important;
    -webkit-overflow-scrolling: touch;
}

.nav-link {
    color: rgba(255, 255, 255, .8);
}

.nav-link:hover,
.nav-link:focus {
    color: #fff;
}

.nav-link.disabled {
    color: rgba(255, 255, 255, .5);
}

@media (min-width: 992px) {
    .header.hidden {
        top: 0;
    }

    .navbar .btn-mobile {
        display: none;
    }

    .navbar .mobile-top-nav-wrap {
        width: auto;
    }

    .navbar .top-nav-wrap {
        width: auto;
        padding-left: 2rem;
    }
}

.carousel-item img {
    width: 100%;
    height: auto;
}

/* article */
/* ------------------------------ */

.article {
    padding-top: 60px;
}

@media (min-width: 992px) {
    .article {
        padding-top: 30px;
    }
}

.page-title {
    margin-bottom: 2rem
}

.section-title {
    margin-bottom: 1.5rem
}

.article .article-content>section+section {
    margin-top: 3rem
}

/* aside */
/* ------------------------------ */

.aside-navigation {
    top: 92.19px;
    width: 320px;
    right: -320px;
    z-index: 1020;
    position: fixed;
    background: #fff;
    height: calc(100vh - 92.19px);
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.aside-navigation.active {
    right: 0;
}

@media (min-width: 992px) {
    .aside-navigation {
        left: 0;
        top: 56px;
        right: unset;
        height: calc(100vh - 56px);
        border-right: 1px solid #285a78;
        transition: none;
        -o-transition: none;
        -ms-transition: none;
        -moz-transition: none;
        -webkit-transition: none;
    }
}

/* main sie navigation */

@media (min-width: 992px) {
    .main-side-navigation {
        border-top: 1px solid #fff;
    }
}

.main-side-navigation>li {
    border-bottom: 1px solid #eee;
    border-left: 5px solid transparent;
}

.main-side-navigation>li>a {
    display: block;
    padding: 12px 15px;
}

.main-side-navigation a:hover {
    color: #2bb09f;
}

.main-side-navigation .sub-nav {
    display: none;
    transition: padding .15s;
    -o-transition: padding .15s;
    -ms-transition: padding .15s;
    -moz-transition: padding .15s;
    -webkit-transition: padding .15s;
}

.main-side-navigation .sub-nav>li>a {
    color: #999;
    display: block;
    font-size: 95%;
    padding: 5px 30px;
}

.main-side-navigation .sub-nav>li>a:hover {
    color: #2bb09f !important;
}

.main-side-navigation>li.active {
    font-weight: 500;
    border-left: 5px solid #285a78;
}

.main-side-navigation>li.active>a {
    color: #285a78;
}

.main-side-navigation>li.active .sub-nav {
    padding-top: 0;
    padding-bottom: 20px;
}

.main-side-navigation .sub-nav>li.active>a,
.main-side-navigation .sub-nav>li.active>a:hover {
    color: #2bb09f !important;
}

.widget-title {
    margin-bottom: 1rem
}

.aside>section+section {
    margin-top: 2rem
}

/* customizing bootstrap */
/* ------------------------------ */

.table {}

.table th,
.table td {}

.table thead th {}

.table-hover tbody tr:hover {
    /*color: #212529;*/
    /*background-color: rgba(0, 0, 0, 0.075);*/
}

.btn {}

.btn-sm,
.btn-group-sm > .btn {
    /*padding: 0.25rem 0.5rem;*/
    /*font-size: 0.875rem;*/
    /*line-height: 1.5;*/
    /*border-radius: 0.2rem;*/
}

.btn-lg,
.btn-group-lg > .btn {
    /*padding: 0.5rem 1rem;*/
    /*font-size: 1.25rem;*/
    /*line-height: 1.5;*/
    /*border-radius: 0.3rem;*/
}

.form-control {}

.form-control-sm {}

.form-control-lg {}

.form-control:focus {}

.form-control::placeholder {
    /*color: #ccc;*/
    /*font-size: 90%;*/
}

.input-group-text {}

.was-validated .form-control:valid,
.form-control.is-valid {}

.was-validated .form-control:valid:focus,
.form-control.is-valid:focus {}

.was-validated .form-control:invalid,
.form-control.is-invalid {}

.was-validated .form-control:invalid:focus,
.form-control.is-invalid:focus {}

/* add class option */

.is-last-child {
    border-top-right-radius: 0.25rem !important;
    border-bottom-right-radius: 0.25rem !important;
}

/* ul-table cell width setting */
/* ------------------------------ */

@media (min-width: 990px) {
    .ul-table ul>li:nth-child(1) {
        width: 150px;
    }

    .ul-table ul>li:nth-child(2) {
        width: 15%;
        flex: unset;
    }

    .ul-table ul>li:nth-child(3) {
        flex: 1;
    }

    .ul-table ul>li:nth-child(4) {
        width: 10%;
    }

    .ul-table ul>li:nth-child(5) {
        width: 10%;
    }
}

/* login */
/* ------------------------------ */

.login-form .logo {
    width: auto;
    height: 100px;
}

/* ad-mrkang@naver.com */